pci_request_region
Prev | PCI Support Library | Next

## Name

pci_request_region — Reserved PCI I/O and memory resource

## Synopsis

`int pci_request_region (` | struct pci_dev * | pdev,
| int | bar,
| const char * | res_name`)`;

## Arguments

`pdev`

  PCI device whose resources are to be reserved

`bar`

  BAR to be reserved

`res_name`

  Name to be associated with resource.

## Description

Mark the PCI region associated with PCI device `pdev` BR `bar` as being reserved by owner `res_name`. Do not access any address inside the PCI regions unless this call returns successfully.

Returns 0 on success, or `EBUSY` on error. A warning message is also printed on failure.

Prev | Up | Next
pci_release_region | Home | pci_release_selected_regions